ustrtol(3)

NAME
ustrtol

SYNOPSIS
#include <allegro.h>

long ustrtol(const char *s, char **endp, int base);

DESCRIPTION
This function converts the initial part of s to a signed integer, which is returned as a value of type `long int', setting *endp to point to the first unused character, if endp is not a NULL pointer. The base argument indicates what base the digits (or letters) should be treated as. If base is zero, the base is determined by looking for `0x', `0X', or `0' as the first part of the string, and sets the base used to 16, 16, or 8 if it finds one. The default base is 10 if none of those prefixes are found.

SEE ALSO
uconvert(3), ustrtod(3), uatof(3)